package com.plannaplan.types;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

public class GroupTypeTest {
    @Test
    public void shouldBeLecture() {
        assertTrue(GroupType.isLectureOrClass(GroupType.LECTURE) == GroupType.LECTURE);
    }

    @Test
    public void shouldBeClass1() {
        assertTrue(GroupType.isLectureOrClass(GroupType.CLASS) == GroupType.CLASS);
    }

    @Test
    public void shouldBeClass2() {
        assertTrue(GroupType.isLectureOrClass(GroupType.CONSERVATORY) == GroupType.CLASS);
    }

    @Test
    public void shouldBeClass3() {
        assertTrue(GroupType.isLectureOrClass(GroupType.LAB) == GroupType.CLASS);
    }

    @Test
    public void shouldBeClass4() {
        assertTrue(GroupType.isLectureOrClass(GroupType.PRATICE) == GroupType.CLASS);
    }

    @Test
    public void shouldBeClass5() {
        assertTrue(GroupType.isLectureOrClass(GroupType.SEMINAR) == GroupType.CLASS);
    }

    @Test
    public void shouldCastFromString1() {
        assertTrue(GroupType.getType("Ćwiczenia") == GroupType.CLASS);
    }

    @Test
    public void shouldCastFromString2() {
        assertTrue(GroupType.getType("Wykład") == GroupType.LECTURE);
    }

    @Test
    public void shouldCastFromString3() {
        assertTrue(GroupType.getType("Laboratorium") == GroupType.LAB);
    }

    @Test
    public void shouldCastFromString4() {
        assertTrue(GroupType.getType("Seminarium") == GroupType.SEMINAR);
    }

    @Test
    public void shouldCastFromString5() {
        assertTrue(GroupType.getType("Konwersatorium") == GroupType.CONSERVATORY);
    }

    @Test
    public void shouldCastFromString6() {
        assertTrue(GroupType.getType("Praktyka") == GroupType.PRATICE);
    }

}
