package com.plannaplan.responses.models;

import com.plannaplan.entities.Assignment;

/**
 * Repsonse for single assignment to use in commision repsonse
 */
public class AssignmentsSingleResponse {
    private Long id;
    private boolean isAccepted;

    /**
     * @param assignment to map to response
     */
    public AssignmentsSingleResponse(Assignment assignment) {
        this.id = assignment.getGroup().getId();
        this.isAccepted = assignment.isAccepted();
    }

    /**
     * @return id of assigned group
     */
    public Long getId() {
        return id;
    }

    /**
     * @return is group already accepted or not
     */
    public boolean isAccepted() {
        return isAccepted;
    }

}
