package com.plannaplan.responses.models;

import com.plannaplan.types.AppState;

/**
 * Api response for config tours entpoint
 */
public class ConfigTourResponse {

    private String currentTour;

    /**
     * @param appState to send as a response
     */
    public ConfigTourResponse(AppState appState) {
        this.currentTour = appState.toString();
    }

    /**
     * @return current app state as string
     */
    public String getCurrentTour() {
        return currentTour;
    }

}
